Technology & System Requirements

Here we will look at the system requirements of nopCommerce. In order to run nopCommerce, you will need the following installed on your server / computer:

  • Supported operation systems:
    • Windows 7
    • Windows Vista
    • Windows XP
    • Windows Server 2003
    • Windows Server 2008
  • Supported web servers:
    • Internet Information Service (IIS) 6.0 or above
  • ASP.NET 4.0 (MVC 3.0)
  • Supported databases:
    • MS SQL Server 2005 or above
    • MS SQL Server Compact 4.0 or above
  • Supported browsers:
    • Microsoft Internet Explorer 6 and above
    • Mozilla Firefox 2.0 and above
    • Google Chrome 1.x
    • Apple Safari 2.x
  • Can be run in medium trust (except Excel related features)
  • Adobe Flash (required for picture and file uploading in admin area)
  • MS Visual Studio 2010 or above (with MVC 3.0 installed). Required for developers who want to edit source code